cURL
curl --request GET \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"attention": {
"instances_without_hypervisor": 123,
"instances_suspended": 123,
"instances_throttled": 123,
"cancellations_scheduled": 123,
"tasks_failed_24h": 123,
"tasks_stuck": 123
},
"instances_by_status": [
{
"status": "<string>",
"count": 123
}
],
"instances_total": 123,
"resources_allocated": {
"vcpu": 123,
"ram_mb": 123,
"ram_gb": 123,
"storage_gb": 123
},
"resources_count": {
"volumes": 123,
"vpcs": 123,
"ssh_keys": 123,
"snapshots": 123,
"backups": 123,
"storage_gb": 123
},
"tasks_by_status": [
{
"status": "<string>",
"count": 123
}
],
"tasks_recent_count": 123
}
]v1
Get v1organizations projects computeoverview
GET
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
overview
cURL
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

